Montag, 22. Oktober 2018, 15:19 UTC+2

Sie sind nicht angemeldet.

  • Anmelden
  • Registrieren

Lieber Besucher, herzlich willkommen bei: INVESTOX-Forum. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

klexer

unregistriert

1

Sonntag, 8. Februar 2015, 14:22

mal wieder TWS.ocx.

jetzt gibts wieder Probleme mit TWS.ocx.
Gab alles durchprobiert, was es hier im Forum an Lösungsvorschlägen gibt, seit ca. 2 tagen....
nix hilft.
Ich hab Win7
TWS 9483c
API 9.71
RTT 3.3.2


RTT startet nicht, es kommt die berühmte Meldung mit TWS.ocx; file missing or invalid.

Die Links für IB in den Threads sind teilweise nicht mehr vorhanden.

Mir ist aufgefallen, der ActiveX-Ordner ist nicht freigegeben und lässt sich nicht freigeben, obwohl Admin-Rechte

Investox

Administrator

Registrierungsdatum: 31. August 2002

Beiträge: 5 568

2

Montag, 9. Februar 2015, 08:09

Hallo,

normalerweise hilft da die Installation des "Redistributable Package":

http://www.microsoft.com/de-ch/download/details.aspx?id=3387

Danach am besten auch die API-Installation nochmal durchführen.

Viele Grüße
Andreas Knöpfel

klexer

unregistriert

3

Montag, 9. Februar 2015, 09:37

Hallo Herr Knöpfel

ich habe Windows 7, 64 bit und es ist C++ 2012 installiert sowohl x86 als auch x64

aber immer noch der gleiche Fehler

JTS und TWS API sind auf C: installiert, Investox und RTT auf E:

ansonsten ist nichts installiert

ich hab jetzt alles auf E: installiert, immer noch der gleiche Fehler

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »klexer« (9. Februar 2015, 09:43)


Neon

Benutzer

Registrierungsdatum: 12. Mai 2012

Beiträge: 22

4

Montag, 9. Februar 2015, 10:33

Hallo Klexer,

bei mir läuft seit ca. einem Jahr folgende Konstellation robust.
Evtl. ist's ganz hilfreich...

Bei der Installation bin ich wie folgt vorgegangen (die installierte JAVA-Version ist 7.0.510.13):

1. RTT (3.2.2) installiert und Neustart
2. C++ 2005 SP1 (_X86Version) installiert und Neustart => ganz entscheidend (nochmals vielen Dank an Fr. Beyer für den Hinweis)
3. TWS von IB (4.0) installiert und Neustart (Build 936.9)
4. API von IB (9.6.9) installiert und Neustart
5. Versionengleichheit von TWS.ocx und TwsSocketClient.dll (9.6.8.0) gecheckt
6. TWS oder Gatway inkl. SSL-Verschlüsselung öffnen und dann RTT(IB)
7. EUR/USD in RTT(IB) parametrisiert und die Ticks sprudelten

Gruß
Neon

klexer

unregistriert

5

Montag, 9. Februar 2015, 11:32

Hallo neon
bei IB API gibt es keine 9.6 mehr, nur noch 9.70
Und das Update benötigt 9.71

Neon

Benutzer

Registrierungsdatum: 12. Mai 2012

Beiträge: 22

6

Montag, 9. Februar 2015, 12:40

Hast du den 2. Punkt berücksichtigt?
Ist offensichtlich noch immer ganz entscheidend...

http://investox.de/FAQ/installation.htm#…it_IB_verbinden

Registrierungsdatum: 17. September 2002

Beiträge: 173

7

Montag, 9. Februar 2015, 13:23

Tws.ocx

Hi Klexer!
Falls du die Installationsroutine der API nicht verändert und in einen anderen Ordner gespeichert hast, sollte ein Ordner TWS API auf der Platte sein. Im Unterordner >bin>ActiveX ist die richtige Version der Tws.ocx vorhanden.
Der Ordner Jts mit ebenfalls ActiveX und einer anderen Versionsnr. von Tws.oxc war bei mir nicht mehr relevant. Habe vorsichtshalber die neue Tws.ocx dorthinein kopiert. Diese Daten stammen wahrscheinlich von früheren API-Versionen.
2xNeustart hat das erwünschte Ergebnis geliefert und alles funzt einwandfrei. W7 and latest Java etc.
Grüsse

vice versa

sten

Erleuchteter

Registrierungsdatum: 6. September 2002

Beiträge: 2 879

8

Montag, 9. Februar 2015, 14:10

Hallo,
"latest Java".

Die letzte Version ist aktuell Java8.
Würde gerne da umsteigen. Funktioniert das schon?

Viele Grüße,
Sten

klexer

unregistriert

9

Montag, 9. Februar 2015, 14:34

Hallo Neon

hab mittlerweile C++ 2005, 2008 und 2012 installiert, immer noch der gleiche fehler

Hallo viceversa
im JTS-Ordner gibt es bei mir keine TWS.ocx-Datei und auch kein ActiveX-Ordner.

Java hab ich 8 31 für x86 und x64

TWSSocketClient ist identisch mit API-Version 9.71

Investox

Administrator

Registrierungsdatum: 31. August 2002

Beiträge: 5 568

10

Montag, 9. Februar 2015, 14:48

Hallo,

vielleicht hat etwas mit der Registrierung der tws.ocx nicht funktioniert. Versuchen Sie die Installation der API mit Administrator-Rechten.

Wenn dies nicht hilft, könnten Sie mit "Start/Programme durchsuchen" und "Regedit" die Registry öffnen und dort nach "TWS.ocx" suchen. Die Einträge dort sollten dann zum Ordner mit der korrekten TWS.ocx-Version zeigen.

Viele Grüße
Andreas Knöpfel

Neon

Benutzer

Registrierungsdatum: 12. Mai 2012

Beiträge: 22

11

Montag, 9. Februar 2015, 14:56

Hallo Klexer,

ich hatte auch mit verschiedenen Versionen von C++ experimentiert, auch parallel. Nur die alleinige Installation der 2005er Version führte zum Erfolg. Das Vorgehen insgesamt habe ich ja bereits oben beschrieben. Das Ergebnis muss/sollte doch auch für andere User reproduzierbar sein.

Gruß
Neon

klexer

unregistriert

12

Montag, 9. Februar 2015, 15:22

Hallo Herr Knöpfel

hab regedit gestartet und die TWS.ocx ist im richtigen Ordner: E: TWS API\bin\ActiveX

funktioniert immer noch nicht

klexer

unregistriert

13

Montag, 9. Februar 2015, 15:41

endlich !!

Habe alle Versionen von C++ deinstalliert und C++ 2005 SP1 installiert, jetzt geht´s endlich.

Diese Version war aber bereits früher mal installiert. Warum es jetzt geht ? keine Ahnung

Danke an alle für die Hilfe

igi

Investox

Administrator

Registrierungsdatum: 31. August 2002

Beiträge: 5 568

14

Montag, 9. Februar 2015, 15:45

Hallo,

>> und C++ 2005 SP1 installiert

mit "Als Administrator ausführen"?

Viele Grüße
Andreas Knöpfel

klexer

unregistriert

15

Montag, 9. Februar 2015, 15:49

na super, jetzt ist der Zugriff auf die API deaktiviert im Gateway

was ist jetzt schon wieder faul ?

PS alle Installationen erfolgten mit Administratorrechten

klexer

unregistriert

16

Montag, 9. Februar 2015, 16:15

hab die TWS /Gateway 948.3 nochmals installiert und jetzt gehts, RTT geht auch, welch Wunder

mal sehen, wie lange.....

nächstes Update mach ich erst wieder in 4 Jahren :-)

sten

Erleuchteter

Registrierungsdatum: 6. September 2002

Beiträge: 2 879

17

Montag, 9. Februar 2015, 16:38

Hallo,
ich glaube jeder kennt das.
Es ist jedesmal eine Zitterpartie.
Eine Lösung wäre ein Installationbandle, oder wenn das zu aufwendig ist, eine aktuelle Info welche Komponentenkombination aktuell problemlos zusammenspielt und getestet ist.

Viele Gruesse,
Sten

Registrierungsdatum: 17. September 2002

Beiträge: 173

18

Montag, 9. Februar 2015, 22:49

@sten&@klexer

@sten!
Java Version 8_31 ist schon seit der Updateankündigung bei mir am Start. Keine Probleme bisher.

@klexer
Jede Maschine hat eine andere Konfiguration. Hauptsache es läuft wieder!
Grüsse

vice versa

Lothar_6

Benutzer

Registrierungsdatum: 25. Oktober 2007

Beiträge: 65

19

Donnerstag, 12. Februar 2015, 16:06

Hallo,
also ich hab nun endlich auch mal einen neuen Rechenknecht am Start und bekam auch nichts zum laufen.
Win 7 64 Bit Java 8_31 Inv 7.1.2 RTT 3.2.2 API 971.
Api drauf Api runter Microsoft Visual C ++ 2005 auch rauf und runter Neustart immer wieder. Auch die Reihenfolge wie oben schon geschrieben beachtet. Dann ging die Verbindung Gateway RTT für IB aber konnte mich nicht verbinden Instanz und Gateway.
Also letztendlich fehlte die Datei KSEIBUeberwachung 7 .
Das Virenprogramm (G Data) hat diese Datei als Virus eingestuft.
danke Frau Beyer nun looft alles einwandfrei.
Vielleicht ist dies für andere Benutzer noch ein Tip.
Viele Grüße Lothar_Ingo

sten

Erleuchteter

Registrierungsdatum: 6. September 2002

Beiträge: 2 879

20

Sonntag, 15. Februar 2015, 12:29

Hallo,

Danke für die Info zur aktuellen Java-Version.
Habe gerade die Umstellung durchgeführt wie folgt:
1.) deinstallieren java7 (langen Eintrag zuerst, dann den kurzen)
2.) Neustart PC
3.) Installation Java8 (jdk1.8.0_31 und jre1.8.0_31) ... ich installiere immer das SDK, weil ich selber Java entwickle und ich aus Effizientgründen auf allen PC's gleich Basisinstallationen einstelle
4.) Problem: Klick auf TWS-Icon und nix passiert
Lösung: der Path zu javaw.exe muss angepasst werden, also z.B. so: C:\........\javapath\javaw.exe -cp ...

Die Tests sehen bis jetzt gut aus. Konnte noch keine Probleme feststellen.

In ein paar Monaten gibt es keine kostenlosen Sicherheitspatches mehr für java7 und dann ist man gezwungen auf java8 umzusteigen. So sollte die Umstellung dann schmerzfrei funktionieren und vielleicht hilft es den ein oder anderen.

Viele Grüße,
Sten

Dieser Beitrag wurde bereits 4 mal editiert, zuletzt von »sten« (15. Februar 2015, 12:39)